package com.neusoft.smart.pos.order.persistent.mapper;

import com.neusoft.smart.pos.order.persistent.domain.OrderTransaction;
import com.neusoft.smart.pos.order.persistent.domain.OrderTransactionExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrderTransactionMapper {
    int countByExample(OrderTransactionExample example);

    int deleteByExample(OrderTransactionExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(OrderTransaction record);

    int insertSelective(OrderTransaction record);

    List<OrderTransaction> selectByExample(OrderTransactionExample example);

    OrderTransaction selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") OrderTransaction record, @Param("example") OrderTransactionExample example);

    int updateByExample(@Param("record") OrderTransaction record, @Param("example") OrderTransactionExample example);

    int updateByPrimaryKeySelective(OrderTransaction record);

    int updateByPrimaryKey(OrderTransaction record);

    void batchInsert(@Param("items") List<OrderTransaction> items);
}